<template>
    <div>
        <section class="pop" style ="display: block;" v-if="popshow">
            <section class="pop_content">
                <div class="pop_close" @click="close"><span></span><span></span></div>
                <div id="content">
                    <div >
                        <div class="confirmInfo mgt_24">
                            <span class="confirmNum"></span><strong></strong></div>
                        <div class="confirmInfo mgt_12 mgb_24">
                            <span class="confirmName"></span><strong></strong></div>
                        <div class="pop_info">
                            <p>抱歉由于简讯验证码输入错误达3次以上，您的注册功能已被暂时锁定。
                            并将于[<span>{{newtime}}</span>]解除锁定
                            如您有需要协助之处，请点选菜单上的在线客服，谢谢。
                            </p>
                        </div>
                    </div>
                </div>
                <div class="pop_confirmBox" >
                    <button class="confirm_no" @click="back">确定</button>
                </div>
            </section>
        </section>
    </div>
</template>

<script type="text/ecmascript-6">

    export default {
        data () {
            return {
                minutes: 5,
                seconds: 0,
                popshow:false,
                newtime:''
            }
        },
        mounted () {

        },
        methods: {
            close(){
                this.popshow = false;
                wx.closeWindow();
                this.$forceUpdate();
            },
            back(){
                this.popshow = false;
                wx.closeWindow();
            },
            getInfo(){
                let data = {
                    openId: context.OpenId
                }
                this.config.server(
                    "/Shop/Member/Info",
                    "POST",
                    data,
                    (data)=> {
                        console.log('success',data);
                        if(data.records[0].isThirdError){
                            this.popshow = true;
                            this.newtime = data.records[0].loctTime;
                            return;
                        }else{
                            if(data.records[0].isContact ){
                                this.$router.push('/home');

                            }else{
                                this.$router.push('/phoneNum')
                            }

                        }

                    },
                    (error)=> {
                        console.log('error',error);
                    },
                )
            },
        },
        created(){
            this.popshow = false;
            this.newtime = '';
            this.getInfo();
        }
    }
</script>

<style scoped>
    .pop .pop_confirmBox button, .pop .pop_confirmBox a{
        width: 100%;
    }
</style>
